it.gov.taccuino

## Class TaccuinoType.FarmaciIntegratori.Farmaci.Farmaco

- java.lang.Object
- - it.gov.taccuino.FarmacoType
  - - it.gov.taccuino.TaccuinoType.FarmaciIntegratori.Farmaci.Farmaco

- Enclosing class:
    TaccuinoType.FarmaciIntegratori.Farmaci

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.FarmaciIntegratori.Farmaci.Farmaco
      extends FarmacoType

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <extension base="{urn:taccuino:dataset}farmacoType">
             <sequence>
               <element name="noteAssunzione" type="{urn:taccuino:common}string1_2000"/>
             </sequence>
             <attribute name="AIC" type="{urn:taccuino:common}string1_100" />
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `aic`
    `protected String` | `noteAssunzione`

    - ### Fields inherited from class it.gov.taccuino.FarmacoType

      `dataAggiornamento, dataFineAssunzione, dataInizioAssunzione, dataRegistrazione, descrizione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Farmaco()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAIC()` Recupera il valore della proprietà aic.
    `String` | `getNoteAssunzione()` Recupera il valore della proprietà noteAssunzione.
    `void` | `setAIC(String value)` Imposta il valore della proprietà aic.
    `void` | `setNoteAssunzione(String value)` Imposta il valore della proprietà noteAssunzione.

    - ### Methods inherited from class it.gov.taccuino.FarmacoType

      `getDataAggiornamento, getDataFineAssunzione, getDataInizioAssunzione, getDataRegistrazione, getDescrizione, setDataAggiornamento, setDataFineAssunzione, setDataInizioAssunzione, setDataRegistrazione, setDescrizione`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noteAssunzione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String noteAssunzione

    - #### aic

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String aic

  - ### Constructor Detail

    - #### Farmaco

          public Farmaco()

  - ### Method Detail

    - #### getNoteAssunzione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getNoteAssunzione()

      Recupera il valore della proprietà noteAssunzione.
      Returns:
        possible object is `String`

    - #### setNoteAssunzione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setNoteAssunzione(String value)

      Imposta il valore della proprietà noteAssunzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getAIC

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getAIC()

      Recupera il valore della proprietà aic.
      Returns:
        possible object is `String`

    - #### setAIC

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setAIC(String value)

      Imposta il valore della proprietà aic.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.